<head>
    <meta charset="UTF-8">
    <title>MNC NOW</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
    <meta name="title" content="MNC Now Movies">
    <meta name="keywords" content="okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
    <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
    <meta name="author" content="MNCNow.id">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1">  
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="img/favicon.ico" type="image/x-icon">

    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-1"></script>
		<script>
			window.dataLayer = window.dataLayer || [];
			function gtag(){dataLayer.push(arguments);}
			gtag('js', new Date());

			gtag('config', 'UA-111351533-1');
    </script>

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-7"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'UA-111351533-7');
    </script>
  
      <!-- Begin comScore Tag -->
      <script>
        var _comscore = _comscore || [];
        _comscore.push({ c1: "2", c2: "33003457" });
        (function() {
          var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
          s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
          el.parentNode.insertBefore(s, el);
        })();
      </script>
      <noscript>
        <img src="https://sb.scorecardresearch.com/p?c1=2&c2=33003457&cv=2.0&cj=1" />
      </noscript>
    <!-- End comScore Tag -->


    <!-- <link href="https://vjs.zencdn.net/7.6.0/video-js.css" rel="stylesheet"> -->
    <link href="video-js.css" rel="stylesheet">
    <!-- <script src='https://vjs.zencdn.net/7.6.0/video.js'></script> -->
    <script src='js/videojs/7.6.0/video.js'></script>
    <!-- If you'd like to support IE8 (for Video.js versions prior to v7) -->
    <!-- <script src="https://vjs.zencdn.net/ie8/1.1.2/videojs-ie8.min.js"></script> -->
    <script src="js/videojs/ie8/1.1.2/videojs-ie8.min.js"></script>
    <!-- <script src='nexplayer.js'></script> -->
    <script src='https://nexplayer.nexplayersdk.com/MNC/nexplayer.js'></script>
    <!-- <script src='js/nexplayer/nexplayer.js'> </script> -->
    <!-- <script src='nexplayer.js'></script>    -->
    <script type="text/javascript" src="js/conviva/ConvivaLivePass_Videojs.js"></script>

    <style>
        .video-player {
            /* position: relative !important;
            width: 100% !important;
            height: 100% !important;
            margin: 0; */
            max-height: calc(100vh - 64px);
            position: relative !important;
            width: 100%;
            height: auto !important;
            max-width: 100% !important;
            padding-top: 0 !important;
            line-height: 0;
        }

        /* Make the video relative, instead of absolute, so that
        the parent container will size based on the video. Also,
        note the max-height rule. Note the line-height 0 is to prevent
        a small artifact on the bottom of the video.
        */
        .video-js.vjs-fluid,
        .video-js.vjs-16-9,
        .video-js.vjs-4-3,
        video.video-js,
        video.vjs-tech, {
          max-height: calc(100vh - 64px);
          position: relative !important;
          width: 100%;
          height: auto !important;
          max-width: 100% !important;
          padding-top: 0 !important;
          line-height: 0;
        }

        /* Fix the control bar due to us resetting the line-height on the video-js */
        .vjs-control-bar {
            line-height: 1;
        }         
    </style>   
</head>
  
<body>
    <script id="playervideojs" type="text/template">
      <video autoplay muted id="my-videojs" class="video-js"  controls preload="auto" margin="0"
          poster="" data-setup='{"fluid":true}'>
          <source src="" type="application/x-mpegURL">
          <p class="video-player">
              To view this video please enable JavaScript, and consider upgrading to a web browser that
              <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
          </p>
      </video>
    </script>

  <div id='player'>
      <script>
        // <video autoplay muted id='my-video' class='video-js'  controls preload='auto' height='200px' width='auto'
        // poster='MY_VIDEO_POSTER.jpg' data-setup='{}'>
        // <source src='https://cdn.mncnow.id/transmoviesnon/7-hari-cinta-test-non-drm/index.m3u8' type='video/mp4'> -->


        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        }

        var qs = getQueryStrings();
        // console.log(location.pathname.match(/\/transmoviesnon\/(.*)/)[1]);
        var myParamURL = qs["url"];
        var myParamIMG = qs["img"];

        var vidsrc = myParamURL.split('\/');
        var title = vidsrc;

        document.title='MNC NOW - '.concat(title[4]);
        // console.log(vidsrc[4])
        // if (myParamURL  == (null || "")) {
        //   myParamURL="https://cdn.mncnow.id/transmoviesnon/ada-cinta-di-tempe-mendoan-nodrm/index.m3u8";
        // } 
        // if (myParamURL  == (null || "")) {
        //   myParamIMG="https://static.mncnow.id/images/vod/89a923f4-c15.jpg"
        // } 
        
        var test=1;        
        if (test==1){
          var userAgent = navigator.userAgent || navigator.vendor || window.opera;  
        // if (/iPad|iPhone|iPod/.test(userAgent) && !window.MSStream) {
          var playervideojs = document.getElementById("playervideojs").innerHTML;
          // var player = document.getElementById('player');
          function myFunction(){
            // myParamURL="https://cdn.mncnow.id/transmoviesnon/ada-cinta-di-tempe-mendoan-nodrm/index.m3u8";
            // output='<video autoplay muted id="my-videojs" class="video-js"  controls preload="auto" margin="0" height="auto" width="auto" poster="<%= myParamIMG %>"> <source src=${myParamURL} type="application/x-mpegURL"> </video>';
            output = playervideojs;
            document.getElementById("player").innerHTML = output;
            var vidSrc= document.querySelector('source');
            vidSrc.setAttribute('src',myParamURL);
            var PosterSrc= document.querySelector('video');
            PosterSrc.setAttribute('poster',myParamIMG);
            // document.write('<div><video autoplay muted id="my-videojs" class="video-js"  controls preload="auto" margin="0" height="auto" width="auto" poster="https://static.mncnow.id/images/vod/89a923f4-c15.jpg"> <source src="' + myParamURL + '" type="application/x-mpegURL"> </video><div>');
            // console.log(temp);
          }
          myFunction();
        }else{
          var player = null;
          var videoElem = null;

          myParamURL = myParamURL.replace("_vmx","");
          var callBackWithPlayers = function (nexplayerInstance, videoElement) {
              console.log("Callback!");
              player = nexplayerInstance;
              videoElem = videoElement;
              setTimeout(() => {
                  player.setCurrentTrack(0); //0 is always the lowest quality profile
              }, 1000);
              player.enableABR();
          }

          
          nexplayer.Setup({
            key: '5c1cad9120bbb10718187352',
            div: document.getElementById('player'),
            src: myParamURL, // Optional
            poster: myParamIMG, // Optional
            name: 'MNC Now - '.concat(title[4]), // Optional
            autoplay: true, // Optional
            mutedAtStart: true, // Optional
            useDynamicThumbnails: true, // Optional
            // vast:'http://search.spotxchange.com/vast/2.0/266272?VPI[]=MP4&player_width=REPLACE_ME&player_height=REPLACE_ME&app[bundle]=REPLACE_ME&device[ifa]=REPLACE_ME&media_transcoding=low&omidpn=OMSDK&omidpv=3.11.2',
            // vast:"https://search.spotxchange.com/vmap/1.0/78886?adPlaylistId=1302&channelId=79391&VPI=mp4&content_page_url=spotx.tv",
            cast: {}, //Optional,
            debug: true, // Optional
            staticThumbnailsImage: myParamIMG, // Optional
            staticThumbnailsVTT: myParamIMG, // Optional
            seekUI: 10 // Seconds for the seek buttons, Optional
          });

        }

      </script>
    </div>
</body>